Bug 1008208 - Package Trac plugins for Trac 1.0
Package Trac plugins for Trac 1.0
Status: ASSIGNED
Product: Fedora EPEL
Classification: Fedora
Component: trac10 (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 14:48 EDT by Matthew Saltzman
Modified: 2014-02-15 15:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2013-09-15 14:48:08 EDT
Description of problem:
Trac 1.0 is packaged separately from the earlier stable Trac series, Trac 0.12.  Several plugins are packaged by EPEL for the earlier series, but their dependencies render them unusable with the trac10 package.

Version-Release number of selected component (if applicable):
trac10-1.0.1-4.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install trac10 RPM
2. Attempt to install any trac-*-plugin RPM
3.

Actual results:
Dependencies prevent installation of the plugin.

Expected results:
Compatible versions of plugins install without complaint and work with trac10.

Additional info:
Filed here because it would be painful to file against every one of the plugins individually.  If there's a better way, I'd like to know about it.
Comment 1 Gwyn Ciesla 2013-09-16 10:16:27 EDT
I assume, before we dig too much deeper, that these plugins, all things being equal, will work with both versions of Trac?
Comment 2 Matthew Saltzman 2013-09-16 10:47:24 EDT
(In reply to Jon Ciesla from comment #1)
> I assume, before we dig too much deeper, that these plugins, all things
> being equal, will work with both versions of Trac?

Many of them have newer versions (and should be updated anyway) that do work with both versions.  One would have to check and not package for trac10 ones that haven't yet been updated.  I know that's the case for trac-accountmanager-plugin (an absolutely critical one) for example.  I made a package for myself for that one.  There are some others I'll be looking at in the near future.
Comment 3 Luis Bazan 2014-01-17 12:42:00 EST
We will have the plugins for the new version?

Regards!

Note You need to log in before you can comment on or make changes to this bug.